:root {
  font-size: min(3vh, 1.5vw);
  --stroke-color: black;
  --fill-color: #000000;
  --stroke-width: .8;
}

.wPaint-text-input,
.wPaint-canvas,
.top-panal {
  direction: ltr;
}

.body {
  margin: 0;
  /*max-height: 100vh;*/
  min-height: calc(100vh - 52px);
  height: calc(100vh - 52px);
  max-height: calc(100vh - 52px);
  background-image: url('../../../../assets/images/coloringBoard/background.png');
  /*background-size: 100% 100%;*/
}

* {
  box-sizing: border-box;
}

.wPaint-menu {
  display: none !important;
}

#wPaint {
  border: .3rem solid firebrick;
  border-radius: 1.5rem;
  position: relative;
  top: 1.6rem;
  width: min(75vw, calc(100vw - 16rem));
  height: min(75vh, calc(100vh - 12rem));
  background-color: #fff;
  margin: 0rem auto 0 auto;
}

.pencils-panal {
  position: fixed;
  right: 0;
  top: 2rem;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
}

.top-panal {
  position: fixed;
  width: 100%;
  /*top: 3.5rem;*/
  z-index: 1;
  display: flex;
  justify-content: space-around;
}

.left-panal {
  position: fixed;
  left: 2rem;
  top: 2rem;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  align-items: center;
  align-content: space-between;
}

.buttom-panal {
  position: fixed;
  width: 100%;
  bottom: 0;
  z-index: 1;
  display: flex;
  justify-content: center;
}

button.icon {
  background-color: transparent;
  border: none;
  outline: none;
  padding: 0;
  cursor: pointer;
  transition: all 0.5s;
  position: relative;
}

button.undo {
  transform: rotateZ(-30deg);
}

button.redo {
  transform: rotateZ(30deg);
}

button.redo:hover,
button.undo:hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
}

button.undo:hover {
  transform: rotateZ(30deg) scale(1.075);
}

button.redo:hover {
  transform: rotateZ(-30deg) scale(1.075);
}

.icon svg,
.icon img {
  width: 3rem;
  opacity: 1;
  transition: opacity 0.3s;
}

button.pencil {
  right: -2rem;
}

button.pencil.active {
  right: 0;
  filter: drop-shadow(0px 0px 6px rgba(0, 0, 0, .4));
  transform: scale(1.25);
}

.pencil img {
  width: 7rem;
  height: auto;
}

button.pencil:not(.active):hover {
  transform: scale(1.15);
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
}

button.circle-width:not(.active) img {
  opacity: 0;
}

button.circle-width {
  background-color: var(--stroke-color);
  border-radius: 50%;
  margin-top: 1rem;
  box-shadow: 0 0 10px 6px rgb(0 0 0 / 28%) inset;
}

button.circle-width:hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
  transform: scale(1.1);
}

.circle-width.width-10,
.circle-width.width-10 img {
  width: 2.5rem;
  height: 2.5rem;
}

.circle-width.width-7,
.circle-width.width-7 img {
  width: 2rem;
  height: 2rem;
}

.circle-width.width-4,
.circle-width.width-4 img {
  width: 1.5rem;
  height: 1.5rem;
}

.circle-width.width-2,
.circle-width.width-2 img {
  width: 1rem;
  height: 1rem;
}

.icon.shapes,
.icon.bucket {
  margin-top: 4rem;
}

.stroke-width-container {
  padding: 1rem;
  border-radius: 1rem;
  background-color: rgb(0 0 0 / .2);
  position: relative;
  border: 0.3rem solid #222;
}

.stroke-width-container > button {
  display: block;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  z-index: 1;
}

.stroke-width-background {
  position: absolute;
  left: -3.5rem;
  top: 1rem;
  width: 125%;
  height: auto;
  transform: rotateZ(-55deg);
}

.stroke-width-background > img {
  width: 100%;
  height: 100%;
}

button.rubber:not(.active):hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
  transform: scale(1.3) rotateZ(15deg);
}

button.rubber.active {
  filter: drop-shadow(0px 0px 6px rgba(0, 0, 0, .4));
  transform: scale(1.15);
}

button.text:not(.active):hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
  transform: scale(1.15);
}

button.text.active {
  filter: drop-shadow(0px 0px 6px rgba(0, 0, 0, .4));
  transform: scale(1.125);
}

button.trash {
  transition: all .5s;
}

button.trash:hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
  transform: scale(1.15);
}

button.trash:hover #trash-top {
  transform: none;
}

button.trash:hover #trash-bottom {
  transform: rotate(15deg) translate(56px, -100px);
}

#trash-top {
  transform: rotate(45deg) translate(117px, -250px);
}

.icon.shape svg path,
#trash-top,
#trash-bottom {
  transition: all .5s;
}

.path-opacity {
  filter: brightness(0.5);
  opacity: .5;
}

.icon.shape {
  color: var(--fill-color);
  margin-left: 2rem;
  margin-right: 2rem;
}

.line .stroke-color {
  stroke-width: calc(var(--stroke-width) * 1.5);
}

.stroke-color {
  stroke: var(--stroke-color);
  stroke-width: var(--stroke-width);
}

button.shape:not(.active):hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
  transform: scale(1.15);
}

button.shape.active {
  filter: drop-shadow(0px 0px 6px rgba(0, 0, 0, .4));
  transform: scale(1.125);
}

button.bucket {
  color: var(--fill-color);
}

button.bucket:hover {
  filter: brightness(1.05) drop-shadow(0px 0px 2px rgba(0, 0, 0, .4));
  transform: scale(1.15);
}

#color-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 1rem;
}

#color-list button {
  flex: 0 0 22%;
  margin-top: 0.5rem;
  margin-left: 0.5rem;
}

#color-list button svg {
  width: 5rem;
}

.popup {
  position: relative;
  display: none;
}

.popup-backdrop {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 99;
}

.popup-body {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgb(228 251 239);
  border-radius: 1rem;
  z-index: 100;
  border: solid 0.1rem dimgray;
  box-shadow: 0 0 12px 4px rgb(0 0 0 / 28%);
}

.popup-close {
  position: absolute;
  top: -.25rem;
  right: -.5rem;
  font-size: .75rem;
  padding: .55rem .6rem;
  border-radius: 50%;
  border: none;
  width: 2rem;
  height: 2rem;
  background-color: #929292;
  cursor: pointer;
  box-shadow: 0 0 12px rgb(0 0 0 / 40%);
  transition: all 0.2s;
}

.popup-close::before {
  content: "✖";
  position: absolute;
  top: -2px;
  right: -2px;
  border-radius: 50%;
  padding: 10px 14px;
  background-color: #DFDFDF;
}

.popup-close:hover::before {
  background-color: #e6e6e6;
}

.popup-close:active::before {
  top: 0;
  right: 0;
}

@keyframes bounceIn {
  0%,
  20%,
  40%,
  60%,
  80%,
  to {
    animation-timing-function: cubic-bezier(.215, .61, .355, 1)
  }
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale3d(.3, .3, .3)
  }
  20% {
    transform: translate(-50%, -50%) scale3d(1.1, 1.1, 1.1)
  }
  40% {
    transform: translate(-50%, -50%) scale3d(.9, .9, .9)
  }
  60% {
    opacity: 1;
    transform: translate(-50%, -50%) scale3d(1.03, 1.03, 1.03)
  }
  80% {
    transform: translate(-50%, -50%) scale3d(.97, .97, .97)
  }
  to {
    opacity: 1;
    transform: translate(-50%, -50%) scaleX(1)
  }
}

.animate__bounceIn {
  animation-name: bounceIn;
  animation-duration: .75s;
  animation-fill-mode: both
}

@keyframes bounceOut {
  20% {
    transform: translate(-50%, -50%) scale3d(.9, .9, .9)
  }
  50%,
  55% {
    opacity: 1;
    transform: translate(-50%, -50%) scale3d(1.1, 1.1, 1.1)
  }
  to {
    opacity: 0;
    transform: translate(-50%, -50%) scale3d(.3, .3, .3)
  }
}

.animate__bounceOut {
  animation-duration: .75s;
  animation-name: bounceOut
}

.popup {
  position: relative;
  display: none;
}

.popup-backdrop {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

.popup-body {
  text-align: center;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #D2DBF9;
  min-width: 28em;
  min-height: 20em;
  border-radius: 2em;
}

.popup-image {
  width: 100%;
  height: 12em;
  border-top-left-radius: 2em;
  border-top-right-radius: 2em;
  background-image: url('~assets/images/popup-background.png');
  background-size: cover;
  position: relative;
}

.popup-close {
  position: absolute;
  top: -8px;
  right: -12px;
  font-size: 18px;
  padding: 10px 14px;
  border-radius: 50%;
  border: none;
  width: 44px;
  background-color: #929292;
  height: 44px;
  cursor: pointer;
  box-shadow: 0 0 12px rgb(0 0 0 / 40%);
  transition: all 0.2s;
}

.popup-close::before {
  content: "✖";
  position: absolute;
  top: -2px;
  right: -2px;
  border-radius: 50%;
  padding: 10px 14px;
  background-color: #DFDFDF;
}

.popup-close:hover::before {
  background-color: #e6e6e6;
}

.popup-close:active::before {
  top: 0;
  right: 0;
}

.popup-back {
  margin: auto;
  position: absolute;
  left: 8%;
  right: 8%;
  bottom: 2em;
  background-color: #B3C1E8;
  top: 2em;
  border-bottom-left-radius: 1.5em;
  border-bottom-right-radius: 1.5em;
}

.popup-text {
  margin: .5em auto;
  width: 80%;
  position: relative;
  text-align: center;
  font-size: 1.25em;
}

.popup-close-btn {
  padding: .25em 1.5em;
  color: #fff;
  background-color: #04114D;
  border-radius: 1em;
  font-size: 1.2em;
  margin: auto;
  position: relative;
  margin-top: 1em;
  margin-bottom: 2em;
  cursor: pointer;
  transition: all 0.3s;
}

.popup-close-btn:hover {
  background-color: #051766;
  box-shadow: 0 0 4px rgb(0 0 0 / 40%);
}

.popup-close-btn:active {
  background-color: #041149;
}

@keyframes bounceIn {
  0%,
  20%,
  40%,
  60%,
  80%,
  to {
    animation-timing-function: cubic-bezier(.215, .61, .355, 1)
  }
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale3d(.3, .3, .3)
  }
  20% {
    transform: translate(-50%, -50%) scale3d(1.1, 1.1, 1.1)
  }
  40% {
    transform: translate(-50%, -50%) scale3d(.9, .9, .9)
  }
  60% {
    opacity: 1;
    transform: translate(-50%, -50%) scale3d(1.03, 1.03, 1.03)
  }
  80% {
    transform: translate(-50%, -50%) scale3d(.97, .97, .97)
  }
  to {
    opacity: 1;
    transform: translate(-50%, -50%) scaleX(1)
  }
}

.animate__bounceIn {
  animation-name: bounceIn;
  animation-duration: .75s;
  animation-fill-mode: both
}

@keyframes bounceOut {
  20% {
    transform: translate(-50%, -50%) scale3d(.9, .9, .9)
  }
  50%,
  55% {
    opacity: 1;
    transform: translate(-50%, -50%) scale3d(1.1, 1.1, 1.1)
  }
  to {
    opacity: 0;
    transform: translate(-50%, -50%) scale3d(.3, .3, .3)
  }
}

.animate__bounceOut {
  animation-duration: .75s;
  animation-name: bounceOut
}

.audio_button {
  white-space: nowrap;
  background: rgba(255, 255, 255, 0);
  border: none;
  display: table-cell;
  vertical-align: middle;
}

.audio_button:before {
  content: url(~assets/images/recorder/Speaker.svg) !important;
  color: #fff;
  border: none !important;
  width: 28px;
  height: 28px;
  background: transparent;
  border-radius: 0 !important;
  cursor: pointer;
  text-decoration: none;
  display: block;
  font-size: 1em;
}

.playButton {
  position: relative;
  top: 2rem;
  display: flex;
  justify-content: center;
}
